<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi::setFontSize Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceLASi.html">LASi</a>::<a class="el" href="classLASi_1_1setFontSize.html">setFontSize</a></div>
<h1>LASi::setFontSize Class Reference</h1><!-- doxytag: class="LASi::setFontSize" -->stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code>
<p>

<p>
<a href="classLASi_1_1setFontSize-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFontSize.html#f782493402c88f85a1a3e9c11a10bd8b">setFontSize</a> (double size)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Usage: os &lt;&lt; setFontSize(12) &lt;&lt; .  <a href="#f782493402c88f85a1a3e9c11a10bd8b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFontSize.html#e96eeebbfbd2956ad456b30a946e4f17">apply</a> (<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;os) const </td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFontSize.html#15a8403d0ea0ef209795189f18b78095">operator&lt;&lt;</a> (<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;os, const <a class="el" href="classLASi_1_1setFontSize.html">setFontSize</a> &amp;x)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stream inserter for 'setFontSize' stream manipulator.  <a href="#15a8403d0ea0ef209795189f18b78095"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="f782493402c88f85a1a3e9c11a10bd8b"></a><!-- doxytag: member="LASi::setFontSize::setFontSize" ref="f782493402c88f85a1a3e9c11a10bd8b" args="(double size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::setFontSize::setFontSize           </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>size</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Usage: os &lt;&lt; setFontSize(12) &lt;&lt; . 
<p>
.. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>size</em>&nbsp;</td><td>size in points </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e96eeebbfbd2956ad456b30a946e4f17"></a><!-- doxytag: member="LASi::setFontSize::apply" ref="e96eeebbfbd2956ad456b30a946e4f17" args="(oPostscriptStream &amp;os) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::setFontSize::apply           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="15a8403d0ea0ef209795189f18b78095"></a><!-- doxytag: member="LASi::setFontSize::operator&lt;&lt;" ref="15a8403d0ea0ef209795189f18b78095" args="(oPostscriptStream &amp;os, const setFontSize &amp;x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a>&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classLASi_1_1setFontSize.html">setFontSize</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>x</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stream inserter for 'setFontSize' stream manipulator. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="LASi_8h-source.html">LASi.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
